InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::ADC2Config Struct Reference
Inheritance diagram for inertia::ADC2Config:
[legend]
Collaboration diagram for inertia::ADC2Config:
[legend]

## Public Member Functions
| ADC2Config (uint8_t const *in)
| ADC2Config (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
ConfigType | GetConfigType () const override
const std::wstring | ToString () const override
const ChannelMap | GetChannelMap () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::GenericConfig
static unsigned | GetLength (uint8_t const *in)
static unsigned | GetHeaderSize ()

## Public Attributes
std::vector< ADCGroupDescriptor > | groups
std::vector< ADCInputDescriptor > | inputs
Public Attributes inherited from inertia::GenericConfig
uint8_t | configRevision

## Additional Inherited Members
Protected Member Functions inherited from inertia::GenericConfig
| GenericConfig (uint8_t const *in)
| GenericConfig (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
Protected Member Functions inherited from inertia::AbstractConfig
| AbstractConfig (uint8_t const *in)
| AbstractConfig (std::wstring const &argString)
| AbstractConfig (AbstractConfig const &)=default
AbstractConfig & | operator= (AbstractConfig const &)=default
Static Protected Member Functions inherited from inertia::GenericConfig
static const po::options_description | GetOptionDescription ()

## Member Function Documentation

## ◆ GetBytes()

void inertia::ADC2Config::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ GetConfigType()

ConfigType inertia::ADC2Config::GetConfigType | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ ToString()

const std::wstring inertia::ADC2Config::ToString | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

The documentation for this struct was generated from the following file:

- ADC2Config.h